<template>
  <div class="members">
    <Member
      v-for="member in members"
      :key="member.id"
      :member="member"
      :todos="todos"
      @draft-todos="emitDraftTodos"
    />
  </div>
</template>

<script>
import Member from './Member.vue';

export default {
  name: 'Members',
  emits: ['draftTodos'],
  props: {
    members: {
      type: Array,
      required: true,
    },
    todos: {
      type: Array,
      required: true,
    },
  },
  components: {
    Member,
  },
  methods: {
    emitDraftTodos($e) {
      this.$emit('draftTodos', $e);
    },
  },

};
</script>

<style lang="scss">
.members {
  display: grid;
  gap: 8px;
  grid-template-columns: repeat(auto-fit,minmax(300px,1fr));
  flex: 1 1 0%;
  overflow-y: auto;
  margin-right: 32px;
}
</style>
